<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::kcentroid&lt; linear_kernel&lt; T &gt; &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1kcentroid_3_01linear__kernel_3_01_t_01_4_01_4.html">kcentroid&lt; linear_kernel&lt; T &gt; &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1kcentroid_3_01linear__kernel_3_01_t_01_4_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::kcentroid&lt; linear_kernel&lt; T &gt; &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ae79b01b22d1ac9acd6abbc91b0317cda"><td class="memItemLeft" align="right" valign="top"><a id="ae79b01b22d1ac9acd6abbc91b0317cda"></a>
typedef kernel_type::scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:ae79b01b22d1ac9acd6abbc91b0317cda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9733999760bf46e18ae0f4ce64b3e297"><td class="memItemLeft" align="right" valign="top"><a id="a9733999760bf46e18ae0f4ce64b3e297"></a>
typedef kernel_type::sample_type&#160;</td><td class="memItemRight" valign="bottom"><b>sample_type</b></td></tr>
<tr class="separator:a9733999760bf46e18ae0f4ce64b3e297"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0674d47c792618a2a5341fd3667fe166"><td class="memItemLeft" align="right" valign="top"><a id="a0674d47c792618a2a5341fd3667fe166"></a>
typedef kernel_type::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a0674d47c792618a2a5341fd3667fe166"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a75e1f533499241919f4d6b737cf4fd27"><td class="memItemLeft" align="right" valign="top"><a id="a75e1f533499241919f4d6b737cf4fd27"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>kcentroid</b> (const <a class="el" href="structdlib_1_1linear__kernel.html">kernel_type</a> &amp;kernel_, scalar_type tolerance_=0.001, unsigned long max_dictionary_size_=1000000, bool remove_oldest_first_=false)</td></tr>
<tr class="separator:a75e1f533499241919f4d6b737cf4fd27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aa4c1c10fe30f64cfdc8b70db01b619"><td class="memItemLeft" align="right" valign="top"><a id="a7aa4c1c10fe30f64cfdc8b70db01b619"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>tolerance</b> () const</td></tr>
<tr class="separator:a7aa4c1c10fe30f64cfdc8b70db01b619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad32423f1b16850d8736820d02e032c42"><td class="memItemLeft" align="right" valign="top"><a id="ad32423f1b16850d8736820d02e032c42"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>max_dictionary_size</b> () const</td></tr>
<tr class="separator:ad32423f1b16850d8736820d02e032c42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b2c382b8d841e7993d9c493beb247de"><td class="memItemLeft" align="right" valign="top"><a id="a8b2c382b8d841e7993d9c493beb247de"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_oldest_first</b> () const</td></tr>
<tr class="separator:a8b2c382b8d841e7993d9c493beb247de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a9494f908b29e830e9946a622c6423f"><td class="memItemLeft" align="right" valign="top"><a id="a1a9494f908b29e830e9946a622c6423f"></a>
const <a class="el" href="structdlib_1_1linear__kernel.html">kernel_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_kernel</b> () const</td></tr>
<tr class="separator:a1a9494f908b29e830e9946a622c6423f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1095d5cb799a29761efeeb99b89e0734"><td class="memItemLeft" align="right" valign="top"><a id="a1095d5cb799a29761efeeb99b89e0734"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>samples_trained</b> () const</td></tr>
<tr class="separator:a1095d5cb799a29761efeeb99b89e0734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92424a82d0c420c1396ec10cda3e2f18"><td class="memItemLeft" align="right" valign="top"><a id="a92424a82d0c420c1396ec10cda3e2f18"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear_dictionary</b> ()</td></tr>
<tr class="separator:a92424a82d0c420c1396ec10cda3e2f18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7622a1e1318b69ea035ac2afe225ec9d"><td class="memItemLeft" align="right" valign="top"><a id="a7622a1e1318b69ea035ac2afe225ec9d"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const <a class="el" href="classdlib_1_1kcentroid.html">kcentroid</a> &amp;x) const</td></tr>
<tr class="separator:a7622a1e1318b69ea035ac2afe225ec9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5d53d6c73409d9420d097bbc270a15e"><td class="memItemLeft" align="right" valign="top"><a id="ae5d53d6c73409d9420d097bbc270a15e"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>inner_product</b> (const sample_type &amp;x) const</td></tr>
<tr class="separator:ae5d53d6c73409d9420d097bbc270a15e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a028da94c8755abcad97858e77564501d"><td class="memItemLeft" align="right" valign="top"><a id="a028da94c8755abcad97858e77564501d"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>inner_product</b> (const <a class="el" href="classdlib_1_1kcentroid.html">kcentroid</a> &amp;x) const</td></tr>
<tr class="separator:a028da94c8755abcad97858e77564501d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c5baa7cfc722eb072599acbebb77a3"><td class="memItemLeft" align="right" valign="top"><a id="a64c5baa7cfc722eb072599acbebb77a3"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>squared_norm</b> () const</td></tr>
<tr class="separator:a64c5baa7cfc722eb072599acbebb77a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a045b678a475e39f92da526f60ea7374a"><td class="memItemLeft" align="right" valign="top"><a id="a045b678a475e39f92da526f60ea7374a"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const sample_type &amp;x) const</td></tr>
<tr class="separator:a045b678a475e39f92da526f60ea7374a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cdbddf5c017c64efef213822dd52183"><td class="memItemLeft" align="right" valign="top"><a id="a4cdbddf5c017c64efef213822dd52183"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>test_and_train</b> (const sample_type &amp;x)</td></tr>
<tr class="separator:a4cdbddf5c017c64efef213822dd52183"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0862687e893adb0f70debb1ba6df52a7"><td class="memItemLeft" align="right" valign="top"><a id="a0862687e893adb0f70debb1ba6df52a7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>train</b> (const sample_type &amp;x)</td></tr>
<tr class="separator:a0862687e893adb0f70debb1ba6df52a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a860f347b1cb588d86b07060a508b57b7"><td class="memItemLeft" align="right" valign="top"><a id="a860f347b1cb588d86b07060a508b57b7"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>test_and_train</b> (const sample_type &amp;x, scalar_type cscale, scalar_type xscale)</td></tr>
<tr class="separator:a860f347b1cb588d86b07060a508b57b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15c4031a9125f4fa85f561afc4a026cd"><td class="memItemLeft" align="right" valign="top"><a id="a15c4031a9125f4fa85f561afc4a026cd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>scale_by</b> (scalar_type cscale)</td></tr>
<tr class="separator:a15c4031a9125f4fa85f561afc4a026cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e36d0fa9a97ec155c687856db1535de"><td class="memItemLeft" align="right" valign="top"><a id="a1e36d0fa9a97ec155c687856db1535de"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>train</b> (const sample_type &amp;x, scalar_type cscale, scalar_type xscale)</td></tr>
<tr class="separator:a1e36d0fa9a97ec155c687856db1535de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d8c29ed3950407885c8b23d625d4843"><td class="memItemLeft" align="right" valign="top"><a id="a6d8c29ed3950407885c8b23d625d4843"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1kcentroid.html">kcentroid</a> &amp;item)</td></tr>
<tr class="separator:a6d8c29ed3950407885c8b23d625d4843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9ad68b8160720430f6b2221d338ee23"><td class="memItemLeft" align="right" valign="top"><a id="ac9ad68b8160720430f6b2221d338ee23"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>dictionary_size</b> () const</td></tr>
<tr class="separator:ac9ad68b8160720430f6b2221d338ee23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9faea947529853509599863ac7fecee8"><td class="memItemLeft" align="right" valign="top"><a id="a9faea947529853509599863ac7fecee8"></a>
<a class="el" href="classdlib_1_1distance__function.html">distance_function</a>&lt; <a class="el" href="structdlib_1_1linear__kernel.html">kernel_type</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>get_distance_function</b> () const</td></tr>
<tr class="separator:a9faea947529853509599863ac7fecee8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a99c06b4f45cd0741e0069e70a2a5f7ec"><td class="memItemLeft" align="right" valign="top"><a id="a99c06b4f45cd0741e0069e70a2a5f7ec"></a>
typedef <a class="el" href="structdlib_1_1linear__kernel.html">linear_kernel</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_type</b></td></tr>
<tr class="separator:a99c06b4f45cd0741e0069e70a2a5f7ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:adec79d1b7fb6390f815423fa4dfd95f5"><td class="memItemLeft" align="right" valign="top"><a id="adec79d1b7fb6390f815423fa4dfd95f5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>do_train</b> (const sample_type &amp;x, scalar_type cscale, scalar_type xscale)</td></tr>
<tr class="separator:adec79d1b7fb6390f815423fa4dfd95f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6d92099f2ab853ac84c8fbad9048f87"><td class="memItemLeft" align="right" valign="top"><a id="aa6d92099f2ab853ac84c8fbad9048f87"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_size_of_w</b> (const sample_type &amp;x)</td></tr>
<tr class="separator:aa6d92099f2ab853ac84c8fbad9048f87"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aba2d0c8a736c6213baea3c11d0f25d03"><td class="memItemLeft" align="right" valign="top"><a id="aba2d0c8a736c6213baea3c11d0f25d03"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>my_remove_oldest_first</b></td></tr>
<tr class="separator:aba2d0c8a736c6213baea3c11d0f25d03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc2cb03008ab33e2f17793d22ee8613"><td class="memItemLeft" align="right" valign="top"><a id="a4cc2cb03008ab33e2f17793d22ee8613"></a>
<a class="el" href="structdlib_1_1linear__kernel.html">kernel_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>kernel</b></td></tr>
<tr class="separator:a4cc2cb03008ab33e2f17793d22ee8613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a295e91b1c3cfb46bcbdae37e71bca9b4"><td class="memItemLeft" align="right" valign="top"><a id="a295e91b1c3cfb46bcbdae37e71bca9b4"></a>
sample_type&#160;</td><td class="memItemRight" valign="bottom"><b>w</b></td></tr>
<tr class="separator:a295e91b1c3cfb46bcbdae37e71bca9b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af91357ee4c12c2def79ad347072345c2"><td class="memItemLeft" align="right" valign="top"><a id="af91357ee4c12c2def79ad347072345c2"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>alpha</b></td></tr>
<tr class="separator:af91357ee4c12c2def79ad347072345c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1102fe79b8bde7d95797216698f6bd39"><td class="memItemLeft" align="right" valign="top"><a id="a1102fe79b8bde7d95797216698f6bd39"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>my_tolerance</b></td></tr>
<tr class="separator:a1102fe79b8bde7d95797216698f6bd39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48505a9217172730ee750ec8fecaa4f7"><td class="memItemLeft" align="right" valign="top"><a id="a48505a9217172730ee750ec8fecaa4f7"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>my_max_dictionary_size</b></td></tr>
<tr class="separator:a48505a9217172730ee750ec8fecaa4f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99be9b32e0bc7e3c53ec907d26b3cb64"><td class="memItemLeft" align="right" valign="top"><a id="a99be9b32e0bc7e3c53ec907d26b3cb64"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>samples_seen</b></td></tr>
<tr class="separator:a99be9b32e0bc7e3c53ec907d26b3cb64"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:aabc19197d05ef6db31de4f39b7aef9b6"><td class="memItemLeft" align="right" valign="top"><a id="aabc19197d05ef6db31de4f39b7aef9b6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>serialize</b> (const <a class="el" href="classdlib_1_1kcentroid.html">kcentroid</a> &amp;item, std::ostream &amp;out)</td></tr>
<tr class="separator:aabc19197d05ef6db31de4f39b7aef9b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322997335d69fc28d8e5f3e27f02db8e"><td class="memItemLeft" align="right" valign="top"><a id="a322997335d69fc28d8e5f3e27f02db8e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deserialize</b> (<a class="el" href="classdlib_1_1kcentroid.html">kcentroid</a> &amp;item, std::istream &amp;in)</td></tr>
<tr class="separator:a322997335d69fc28d8e5f3e27f02db8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="kcentroid__overloads_8h_source.html">kcentroid_overloads.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
